JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.mcpServer.discover({ url: 'https://mcp.example.com/mcp' });
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.mcp_server.discover(
url="https://mcp.example.com/mcp",
)
print(response.data)curl --request POST \
--url https://api.roark.ai/v1/connections/mcp-server/discover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://mcp.example.com/mcp",
"transport": "STREAMABLE_HTTP",
"auth": {
"type": "NONE"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/connections/mcp-server/discover",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://mcp.example.com/mcp',
'transport' => 'STREAMABLE_HTTP',
'auth' => [
'type' => 'NONE'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/connections/mcp-server/discover"
payload := strings.NewReader("{\n \"url\": \"https://mcp.example.com/mcp\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roark.ai/v1/connections/mcp-server/discover")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://mcp.example.com/mcp\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/connections/mcp-server/discover")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://mcp.example.com/mcp\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"serverName": "<string>",
"serverVersion": "<string>",
"instructions": "<string>",
"tools": [
{
"name": "search_customers",
"description": "<string>",
"suggestedName": "<string>",
"readOnly": true,
"unavailableReason": "<string>"
}
],
"catalogHash": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}MCP servers
Discover an MCP server
Connects to a server and returns the tools it offers, without storing anything. Use it to check a url and credential before connecting.
POST
/
v1
/
connections
/
mcp-server
/
discover
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.mcpServer.discover({ url: 'https://mcp.example.com/mcp' });
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.mcp_server.discover(
url="https://mcp.example.com/mcp",
)
print(response.data)curl --request POST \
--url https://api.roark.ai/v1/connections/mcp-server/discover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://mcp.example.com/mcp",
"transport": "STREAMABLE_HTTP",
"auth": {
"type": "NONE"
}
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/connections/mcp-server/discover",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'url' => 'https://mcp.example.com/mcp',
'transport' => 'STREAMABLE_HTTP',
'auth' => [
'type' => 'NONE'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/connections/mcp-server/discover"
payload := strings.NewReader("{\n \"url\": \"https://mcp.example.com/mcp\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.roark.ai/v1/connections/mcp-server/discover")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"url\": \"https://mcp.example.com/mcp\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/connections/mcp-server/discover")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"url\": \"https://mcp.example.com/mcp\",\n \"transport\": \"STREAMABLE_HTTP\",\n \"auth\": {\n \"type\": \"NONE\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"serverName": "<string>",
"serverVersion": "<string>",
"instructions": "<string>",
"tools": [
{
"name": "search_customers",
"description": "<string>",
"suggestedName": "<string>",
"readOnly": true,
"unavailableReason": "<string>"
}
],
"catalogHash": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Body
application/json